Description

Hi,

When I add a second language on KDE neon, Audacious choose it even if it's not the default one, I didn't test on other platforms but

here are the steps to reproduce the bug:

1. Fresh kde neon install

2. install audacious

3. add a second language on kde

4. audacious will choose it even if it's not the default

I've reinstalled audacious and deleted the ~/.config/audacious folder but no luck. Below is the output of the `locale` command:

LANG=en_US.UTF-8

LANGUAGE=en_US:fr

LC_CTYPE="en_US.UTF-8"

LC_NUMERIC=en_US.UTF-8

LC_TIME=en_US.UTF-8

LC_COLLATE="en_US.UTF-8"

LC_MONETARY=en_US.UTF-8

LC_MESSAGES="en_US.UTF-8"

LC_PAPER=en_US.UTF-8

LC_NAME=en_US.UTF-8

LC_ADDRESS=en_US.UTF-8

LC_TELEPHONE=en_US.UTF-8

LC_MEASUREMENT=en_US.UTF-8

LC_IDENTIFICATION=en_US.UTF-8

LC_ALL=

History

#1 - March 12, 2022 02:36 - John Lindgren

- Tracker changed from Bug to Support

Provide more details please.  Which language was displayed, and which language did you expect?

#2 - March 13, 2022 21:18 - Anas B

John Lindgren wrote:

Provide more details please.  Which language was displayed, and which language did you expect?

 

Oh sorry, I'm expecting English but French is displayed, Audacious is the only application that chooses the wrong language (I've also tested the old

GTK mode but no luck)

Audacious 4.1 installed via the following PPA: ppa:ubuntuhandbook1/apps

KDE neon 5.24

QT version: 5.15.3
kernel version: 5.13.0-35-generic

#3 - March 13, 2022 22:54 - Anas B

I think I found the issue: if I set the environment variable to English only LANGUAGE=en_US audacious will display it as expected, however if I add

French as a second language LANGUAGE=en_US:fr audacious will incorrectly display French.

#4 - March 14, 2022 15:27 - John Lindgren

As far as I know, there is no logic in Audacious to select one language over another; it is all handled by gettext.

Does the issue still occur if the first language is something other than en_US?

#5 - March 16, 2022 17:46 - Thomas Lange

Audacious has no specific translations for "en_US". Hence it falls back to "fr".

What happens with this?

LANGUAGE=en_US:en_GB:en:fr

#6 - August 24, 2022 22:58 - John Lindgren

Closing due to inactivity.

#7 - August 24, 2022 22:58 - John Lindgren

- Status changed from New to Closed
